
Redmine - Patch #39547

Prevent automatic requiring of unnecessary gems at runtime

2023-11-15 00:26 - Go MAEDA

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Go MAEDA % Done: 0%

Category: Gems support Estimated time: 0.00 hour

Target version: 6.0.0   

Description

We can set `require: false` to the yard gem in Gemfile. This will slightly reduce the memory used by Redmine.

The yard gem is only needed when executing `rake yard` and is not necessary when running the Redmine application. Moreover,

since `require 'yard'` is executed internally when running `rake yard`, there is no need to load 'yard' when starting up Redmine.

diff --git a/Gemfile b/Gemfile

index 5b789f927..11e6acdf8 100644

--- a/Gemfile

+++ b/Gemfile

@@ -89,7 +89,7 @@ end

 group :development do

   gem 'listen', '~> 3.3'

-  gem "yard" 

+  gem 'yard', require: false

 end

 group :test do

Associated revisions

Revision 22452 - 2023-11-17 07:38 - Go MAEDA

Prevent auto requiring of 'yard' gem (#39547).

History

#1 - 2023-11-16 09:35 - Go MAEDA

- Target version set to 6.0.0

#2 - 2023-11-16 09:38 - Go MAEDA

- Subject changed from Prevent automatic requiring of 'yard' gem at runtime to Prevent automatic requiring of 'yard' gem

#3 - 2023-11-17 07:38 - Go MAEDA

- Status changed from New to Closed

- Assignee set to Go MAEDA

Committed the patch in r22452.

#4 - 2024-01-30 04:54 - Go MAEDA

- Subject changed from Prevent automatic requiring of 'yard' gem to Prevent automatic requiring of unnecessary gems at runtime
